Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Account.Status

    java.lang.Object
      java.lang.Enum<Account.Status>
          com.skype.api.Account.Status

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Account.Status>

Enclosing class:
  Account

    public static enum Account.Status

extends java.lang.Enum<Account.Status>
implements EnumConverting

Enum Constant Summary
`CONNECTING_TO_P2P` connecting to P2P network
`CONNECTING_TO_SERVER` connecting to login server
`INITIALIZING` response OK.
`LOGGED_IN` alright, we're good to go!
`LOGGED_OUT`
`LOGGED_OUT_AND_PWD_SAVED` the account is logged out, but password is not needed for re-login
`LOGGING_IN` waiting for response from server
`LOGGING_OUT` Logout() has been called but not processed yet

Field Summary
`static int` | `CONNECTING_TO_P2P_VALUE`
`static int` | `CONNECTING_TO_SERVER_VALUE`
`static int` | `INITIALIZING_VALUE`
`static int` | `LOGGED_IN_VALUE`
`static int` | `LOGGED_OUT_AND_PWD_SAVED_VALUE`
`static int` | `LOGGED_OUT_VALUE`
`static int` | `LOGGING_IN_VALUE`
`static int` | `LOGGING_OUT_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Account.Status` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Account.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Account.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOGGED_OUT

    public static final Account.Status LOGGED_OUT

### LOGGED_OUT_AND_PWD_SAVED

    public static final Account.Status LOGGED_OUT_AND_PWD_SAVED

  the account is logged out, but password is not needed for re-login

### CONNECTING_TO_P2P

    public static final Account.Status CONNECTING_TO_P2P

  connecting to P2P network

### CONNECTING_TO_SERVER

    public static final Account.Status CONNECTING_TO_SERVER

  connecting to login server

### LOGGING_IN

    public static final Account.Status LOGGING_IN

  waiting for response from server

### INITIALIZING

    public static final Account.Status INITIALIZING

  response OK. initialising account-specific lib structures

### LOGGED_IN

    public static final Account.Status LOGGED_IN

  alright, we're good to go!

### LOGGING_OUT

    public static final Account.Status LOGGING_OUT

  Logout() has been called but not processed yet

Field Detail

### LOGGED_OUT_VALUE

    public static final int LOGGED_OUT_VALUE

See Also:
  Constant Field Values

### LOGGED_OUT_AND_PWD_SAVED_VALUE

    public static final int LOGGED_OUT_AND_PWD_SAVED_VALUE

See Also:
  Constant Field Values

### CONNECTING_TO_P2P_VALUE

    public static final int CONNECTING_TO_P2P_VALUE

See Also:
  Constant Field Values

### CONNECTING_TO_SERVER_VALUE

    public static final int CONNECTING_TO_SERVER_VALUE

See Also:
  Constant Field Values

### LOGGING_IN_VALUE

    public static final int LOGGING_IN_VALUE

See Also:
  Constant Field Values

### INITIALIZING_VALUE

    public static final int INITIALIZING_VALUE

See Also:
  Constant Field Values

### LOGGED_IN_VALUE

    public static final int LOGGED_IN_VALUE

See Also:
  Constant Field Values

### LOGGING_OUT_VALUE

    public static final int LOGGING_OUT_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Account.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Account.Status c : Account.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Account.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Account.Status get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.